#ifndef _LED_H
#define _LED_H

#include "../mcu/types.h"

#define LED_PIN_0		13
#define LED_PIN_1		14
#define LED_PIN_x		8

#define LED_ON			0
#define LED_OFF			1	

void led_init(void);
void led_toggle(u_char led);
void sys_led_toggle(void);
void led_off(u_char led);
void sys_led_off(void);
void led_on(u_char led);
void sys_led_on(void);

u_char led_state(u_char led);
u_char sys_led_state(void);

#endif
